Bug 21966 - Update to Geolocation Spec of October 27, 2008
Summary: Update to Geolocation Spec of October 27, 2008
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-29 18:45 PDT by Greg Bolsinga
Modified: 2008-10-30 18:55 PDT (History)
2 users (show)

See Also:


Attachments
patch to update to spec as of Oct 27, 2008 (7.39 KB, patch)
2008-10-29 18:49 PDT, Greg Bolsinga
sam: review-
Details | Formatted Diff | Diff
updated patch (6.64 KB, patch)
2008-10-29 20:37 PDT, Greg Bolsinga
no flags Details | Formatted Diff | Diff
timeout 0 should error right away (6.62 KB, patch)
2008-10-30 08:43 PDT, Greg Bolsinga
sam: review+
Details | Formatted Diff | Diff
updated changelog (6.93 KB, patch)
2008-10-30 18:33 PDT, Greg Bolsinga
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Bolsinga 2008-10-29 18:45:45 PDT
There have been some tweaks and changes to the spec. This patch addresses them.

In addition, it adds a suspend/resume interface to Geolocation. This can be used by ports that need to suspend a pages Geolocation support for some reason or other.
Comment 1 Greg Bolsinga 2008-10-29 18:49:40 PDT
Created attachment 24765 [details]
patch to update to spec as of Oct 27, 2008
Comment 2 Greg Bolsinga 2008-10-29 18:52:39 PDT
FWIW here is the updated spec: http://dev.w3.org/geo/api/spec-source.html
Comment 3 Sam Weinig 2008-10-29 19:25:41 PDT
Comment on attachment 24765 [details]
patch to update to spec as of Oct 27, 2008

The suspend/resume stuff seems unrelated to the updates for speed/velocity and making timeout an unsigned long which needs to be changed in PositionOptions.h as well.
Comment 4 Greg Bolsinga 2008-10-29 20:10:01 PDT
I filed https://bugs.webkit.org/show_bug.cgi?id=21967 for suspend / resume.
Comment 5 Greg Bolsinga 2008-10-29 20:37:50 PDT
Created attachment 24767 [details]
updated patch

Addresses unsigned issue; focuses only upon the Oct 27, 2008 changes to the spec.

I have a question out to the mailing list about timeout==0.
Comment 6 Greg Bolsinga 2008-10-29 20:41:38 PDT
Namely the question is to clarify if timeout == 0 if the error should be sent right away or not. Right now no error timeout will occur if it is 0, which makes sense to me.
Comment 7 Greg Bolsinga 2008-10-30 08:43:24 PDT
Created attachment 24770 [details]
timeout 0 should error right away

Discussion on the mailing list indicates timeout 0 should call the error callback quickly.
Comment 8 Sam Weinig 2008-10-30 17:09:05 PDT
Comment on attachment 24770 [details]
timeout 0 should error right away

> +        Reviewed by NOBODY (OOPS!).
> +
> +        WARNING: NO TEST CASES ADDED OR CHANGED

Please add some information about the patch including the url and title of the associate bug (this bug!)

r=me
Comment 9 Greg Bolsinga 2008-10-30 18:33:25 PDT
Created attachment 24788 [details]
updated changelog

Cleaned up patch for Dave to commit for me.
Comment 10 David Kilzer (:ddkilzer) 2008-10-30 18:55:20 PDT
$ git svn dcommit
Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	WebCore/ChangeLog
	M	WebCore/page/Geolocation.cpp
	M	WebCore/page/Geoposition.cpp
	M	WebCore/page/Geoposition.h
	M	WebCore/page/Geoposition.idl
	M	WebCore/page/PositionOptions.h
	M	WebCore/page/PositionOptions.idl
Committed r38017